Subject: Re: bug#1315: uniquify-buffer-name bug on save

From: Glenn Morris <[email-masked]>
Date: Sat, 08 Nov 2008 15:27:46 -0500

tags 1315 unreproducible,moreinfo
stop

Reuben Thomas wrote:

> When I save a buffer in a different directory but the same name, the path is 
> not re-uniquified, which means it confusingly bears parts of the old path.

Details are lacking, and I cannot reproduce this. I did:

./src/emacs -Q -l uniquify \
  --eval "(setq uniquify-buffer-name-style 'forward)" ./README ./etc/README

and I got two buffers names "etc/README" and "trunk/README".

In the latter, I did

C-x w /tmp/README

The name of the buffer changed to /tmp/README.

So please give a recipe starting from emacs -Q showing your problem.